#!/bin/sh

tf_dir=/mnt/p1/tf/

if [ -b /dev/mmcblk0 -a -b /dev/mmcblk1 ]; then
    echo "detect sd crad ... check which mmcblk is"    
    
    if [ -b /dev/mmcblk0boot0 ]; then   
        sdmmc=/dev/mmcblk1
#    fi
    
#    if [ -b /dev/mmcblk1boot0 ]; then   
#        sdmmc=/dev/mmcblk0
#    fi
    elif [ -b /dev/mmcblk1boot0 ]; then   
        sdmmc=/dev/mmcblk0
    fi

else
    echo "dont have sd card"
    exit 1
fi

if [ "${sdmmc}" ]; then
    echo "sd card is "$sdmmc" "
else
    echo "wrong conditions"
    exit 2
fi

if [ ! -d $tf_dir ]; then
	mkdir -p $tf_dir
	echo "dir is exists"
fi

umount $tf_dir

echo  ${sdmmc}p1 $tf_dir
#如果存在p1分区，则挂载p1分区
if [ -b ${sdmmc}p1 ]; then
	mount -t vfat -o rw  ${sdmmc}p1 $tf_dir
	if [ $? -ne 0 ]; then   
		echo "formating mmcblk "${sdmmc}"p1"
		mkfs.vfat ${sdmmc}p1
		mount -t vfat -o rw  ${sdmmc}p1 $tf_dir
		sync
	fi
#如果没有p1分区，则代表只有mmcblk0，直接格式化使用
elif [ -b ${sdmmc} ]; then
	mount -t vfat -o rw  ${sdmmc} $tf_dir
	if [ $? -ne 0 ]; then   
		echo "formating mmcblk "${sdmmc}""
		mkfs.vfat ${sdmmc}
		mount -t vfat -o rw  ${sdmmc} $tf_dir
		sync
	fi
fi


