#!/bin/sh

#关闭DHCP服务器
OldDhcpPID=0
OldDhcpPID=`ps |grep "udhcpd \/etc\/udhcpd\/udhcpd_eth1.conf"|grep -v "grep"|awk '{print $1}'`
for i in $OldDhcpPID
do
	# if [ 0 -gt $OldPID ];then
		kill -9 $i
	# fi	
done

#关闭自动获取IPV4
OldPID=0
OldPID=`ps |grep "dhclient -4 eth1"|grep -v "grep"|awk '{print $1}'`
for i in $OldPID
do
	# if [ 0 -gt $OldPID ];then
		kill -9 $i
	# fi	
done

OldShPID=0
OldShPID=`ps |grep "set_eth1_dhcp_client.sh"|grep -v "grep"|awk '{print $1}'`
for i in $OldShPID
do
	# if [ 0 -gt $OldShPID ];then
		kill -9 $i
	# fi	
done

#获取数据库数据
NET_DB=/mnt/platform/db/config.db
SQL=/mnt/platform/bin/sqlite3

NET_IP=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_IP';"`
NET_MASK=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_MASK';"`
NET_GW=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_GW';"`
NET_DNS=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_DNS';"`
NET_DNS1=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_DNS1';"`
NET_MTU=`$SQL $NET_DB "select value from Net where name='Eth1_IPV4_MTU';"`

tmp=""
while [ ! -n "$tmp" ] ; do
	#设置IP和子网掩码
	ifconfig eth1 $NET_IP netmask $NET_MASK up
	sleep 2

	#设置网关
	route add $NET_IP gw $NET_GW eth1

	ip route del default
	ip route add default via $NET_GW dev eth1

	#设置DNS
	echo "nameserver $NET_DNS" > /etc/resolv.conf
	echo "nameserver $NET_DNS1" >> /etc/resolv.conf

	#设置MTU
	ifconfig eth1 mtu $NET_MTU

	#获取IP和掩码
	tmp=`ifconfig eth1 |grep inet`
done