/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: uaredirect.js 
 *	Module Function : 
 *  Created on		: 2017年1月12日
 *  Author	  		: admin
 *******************************************************************************/

function uaredirect(f) 
{
	try {
		if (document.getElementById("bdmark") != null) {
			return;
		}
		var b = false;
		if (arguments[1]) {
			var e = window.location.host;
			var a = window.location.href;
			if (isSubdomain(arguments[1], e) == 1) {
				f = f + "/#m/" + a;
				b = true;
			} else {
				if (isSubdomain(arguments[1], e) == 2) {
					f = f + "/#m/" + a;
					b = true;
				} else {
					f = a;
					b = false;
				}
			}
		} else {
			b = true;
		}
		if (b) {
			var c = window.location.hash;
			if (!c.match("fromapp")) {
				if ((navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i))) {
					location.replace(f);
				}
			}
		}
	} catch (d) {

	}
}

function isSubdomain(c, d) 
{
	this.getdomain = function (f) {
		var e = f.indexOf("://");
		if (e > 0) {
			var h = f.substr(e + 3);
		} else {
			var h = f;
		}
		var g = /^www\./;
		if (g.test(h)) {
			h = h.substr(4);
		}
		return h
	};

	if (c == d) {
		return 1;
	} else {
		var c = this.getdomain(c);
		var b = this.getdomain(d);
		if (c == b) {
			return 1;
		} else {
			c = c.replace(".", "\\.");
			var a = new RegExp("\\." + c + "$");
			if (b.match(a)) {
				return 2;
			} else {
				return 0;
			}
		}
	}
}

/******************************************
 *名称 		: browserRedirect
 *浏览器设备	： 操作系统识别
 *形参数		： html -> 网页名称前缀
 *返回		:空
 *说明		：无
 *****************************************/

function browserRedirect(html) 
{
	var sUserAgent = navigator.userAgent.toLowerCase(); /* 读取设备 转换为小写 */
	var cur_location = location.href;
	console.log(sUserAgent); /* 打印UA标识 */
	console.log(navigator.platform); /* 打印平台标识 */
	if (window.console) {
		console.log(
			"%c iRTK5 %c Copyright Hi-Target \xa9 2017-%s",
			'font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;font-size:64px;color:#00bbee;-webkit-text-fill-color:#00bbee;-webkit-text-stroke: 1px #00bbee;',
			"font-size:12px;color:#999999;", (new Date)
			.getFullYear());
		console.log("请不要调皮的在此控制台输入任何东西，否则可能造成你的仪器无法正常使用^_^%c来自:console",
			"color:red;font-weight:bold;");
	}

	var bIsIpad = sUserAgent.match(/ipad/i) == "ipad";
	var bIsWechat = sUserAgent.match(/MicroMessenger/i) == "micromessenger"; /* 微信浏览器 */
	var bIsIphoneOs = sUserAgent.match(/iphone os/i) == "iphone os";
	var bIsMidp = sUserAgent.match(/midp/i) == "midp";
	var bIsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
	var bIsUc = sUserAgent.match(/ucweb/i) == "ucweb";
	var bIsAndroid = sUserAgent.match(/android/i) == "android";
	var bIsCE = sUserAgent.match(/windows ce/i) == "windows ce";
	var bIsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";
    var bIsWinNt = sUserAgent.match(/windows nt/i) == "windows nt";

 
	if (!(bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid ||
            bIsCE || bIsWM || bIsWinNt)) {
		console.log('请使用手机端登录获取最佳体验效果!'); /* 此处若为电脑端 则需要显示新的登陆界面 */
		if (-1 == cur_location.indexOf("welcome", 0)) {
			// location.href = html; /* 限制手机端登陆  */
		}
	} else {
		console.log('检测到手机端请尽情使用');

		if (bIsIpad || bIsIphoneOs) {
			document.cookie = 'UA=1'; /* ios 客户端  */
		} else {
			document.cookie = 'UA=0';
		}
		console.log("Wechat Browser:" + bIsWechat);

		if (false == bIsWechat) { /* 标记微信客户端 */
			document.cookie = 'Wechat=0';
			//			location.href = "weixin://";
		} else {
			document.cookie = 'Wechat=1';
		}

		if (bIsWinNt) {
		    document.cookie = 'WinNt=1';   /* windows nt 客户端  */
        } else {
            document.cookie = 'WinNt=0';
        }

		console.log("cookie is: " + document.cookie);
	}
}

/******************************************
 *名称 		: browserSystem
 *浏览器设备	： 操作系统识别
 *形参数		： html -> 网页名称前缀
 *返回		:空
 *说明		：无
 *****************************************/

function browserSystem(html) 
{
	/* 平台、设备和操作系统 */
	var system = { /* json格式 */
		win: false,
		mac: false,
		xll: false
	};

	/* 检测平台 */
	var p = navigator.platform;
	alert(p);
	system.win = p.indexOf("Win") == 0;
	system.mac = p.indexOf("Mac") == 0;
	system.x11 = (p == "X11") || (p.indexOf("Linux") == 0);
	/* 跳转到不同网页 */
	if ((p.indexOf("Win") == 0) || (p.indexOf("Mac") == 0) || (p == "X11") ||
		(p.indexOf("Linux") == 0)) { /* PC转向后台登陆页面 */
		html += 'PC.html';
		window.location.href = html;
	} else { /* 移动设备 */
		html += 'PDA.html';
		window.location.href = html;
	}
}

function LoginCheck() 
{

	if (typeof (Storage) !== "undefined") {
		if (sessionStorage.clickcount != 1) {
			window.location = 'login.html';
			alert('请先登录！');
			sessionStorage.clickcount = 0;
		}
	} else {
		alert("抱歉！您的浏览器不支持 Web Storage ...");
	}
}

browserRedirect('welcome.html');
